from sqlmodel import create_engine

from mapmakr.settings import settings

_engine = None


def get_engine():
    global _engine
    if not _engine:
        _engine = create_engine(settings.database_uri, echo=settings.database_echo,
                                connect_args=settings.database_options)
    return _engine
