from pydantic import BaseSettings


class Settings(BaseSettings):
    database_uri: str = 'sqlite:///mapmakr.sqlite'
    database_echo: bool = False
    database_options: dict = {'check_same_thread': False}
    site_title: str = 'mapmakr'


settings = Settings()
